AWS
probe EMR

# list_cluster_group_instances

Get a list of instance group instances associated to the EMR cluster

Run it now
View details

Type | probe
Module | chaosaws.emr.probes
Name | list_cluster_fleet_instances
Return | mapping

Usage

JSON

    {
      "name": "list-cluster-group-instances",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.probes",
        "func": "list_cluster_group_instances",
        "arguments": {
          "cluster_id": "",
          "group_id": ""
        }
      }
    }

YAML

    name: list-cluster-group-instances
    provider:
      arguments:
        cluster_id: ""
        group_id: ""
      func: list_cluster_group_instances
      module: chaosaws.emr.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
group_id | string |  | Yes | Group ID |
group_type | string | null | No | Group Type |
instance_states | list | null | No | States | List of instance states to retrieve

- cluster_id: The cluster id
- group_id: The instance group id
- group_type: The instance group type
- instance_states: A list of instance states to include

Signature

    def list_cluster_group_instances(
            cluster_id: str,
            group_id: str,
            group_type: str = None,
            instance_states: List[str] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EMR

  ## `modify_instance_fleet`

  Modify the on-demand and spot capacities for an instance fleet
- AWS
  action EMR

  ## `modify_instance_groups_shrink_policy`

  Modify an instance groups shrink operations
- AWS
  probe EMR

  ## `describe_cluster`

  Describe a single EMR cluster